import { request } from '@/utils/axios'

export default class Common {
  // 获取地区
  public static getAreaComboBox(params: any) {
    return request({
      url: '/api/district/listAreaDataInfos',
      method: 'get',
      params
    })
  }

  // 查询全国所有地区
  public static listAllAreaDataInfos(params: any) {
    return request({
      url: '/api/district/listAllAreaDataInfos',
      method: 'get',
      params
    })
  }

  // 获取链路类型
  public static getLinkType() {
    return request({
      url: '/api/commonDic/getLinkType',
      method: 'get'
    })
  }

  // 获取业务操作方式（根据参数名获取不同的数据字典，需封装到store处理，减少请求次数）
  public static getDicInfo(name?: string) {
    return request({
      url: '/api/commonDic/getDicInfoByDicType',
      method: 'get',
      params: {
        dicType: name
      }
    })
  }
}
