import { createApp } from 'vue'
import ElementPlus from 'element-plus'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import * as ElIcons from '@element-plus/icons'
import router from '@/router/index'
import { key, store } from '@/store'
import App from './App.vue'
import BreadCrumb from '@/components/bread-crumb/index.vue'
import SvgIcon from '@/components/svg-icon/index.vue'
// import styleImport from '@/utils/style-import'
import '@/utils/axios'
import '@/style/index.scss'
import '@/style/basic.scss'
import '@/router/permission'
import Directive from '@/utils/directive'

const app = createApp(App)

// styleImport(app)
app
  .use(ElementPlus, { size: 'small', locale: zhCn })
  .use(router)
  .use(store, key)
  .directive('nodata', Directive.NoData)
  .component('BreadCrumb', BreadCrumb) // 需要单独一个文件管理注入全局公用组件
  .component('SvgIcon', SvgIcon)
  .component('QuestionFilled', ElIcons.QuestionFilled)
  .mount('#app')
