import { InjectionKey } from 'vue'
import { createStore, Store, useStore as baseUseStore } from 'vuex'
import RootStateTypes, { AllStateTypes } from './types'

import numFactoryModule from '@/views/base/store/NumFactory'
import user from '@/views/base/store/user'
import dialog from '@/views/base/store/dialog'
import dicInfo from '@/views/base/store/dicInfo'

export const store = createStore<RootStateTypes>({
  // state: {
  //   text: 'This is Vuex Root.state.text'
  // },
  getters: {},
  mutations: {},
  actions: {},
  modules: {
    numFactoryModule,
    user,
    dialog,
    dicInfo
  }
})

export const key: InjectionKey<Store<RootStateTypes>> = Symbol('vue-store')

export function useStore<T = AllStateTypes>() {
  return baseUseStore<T>(key)
}
