import { store } from '@/store'

export default {
  // 链路类型
  connObjList: 'connObjList',
  // 业务操作方式
  bizOperateMode: 'bizOperateMode',
  // 系统类型
  systemType: 'systemType',
  // 任务状态
  taskStatus: 'taskStatus',
  // 数据交换方式
  dataExchange: 'dataExchange',
  // 协议代码
  protocolCode: 'protocolCode',
  // 系统日志-日志类型
  systemLogType: 'systemLogType',
  // 链路类型根据code获取name
  linkTypeCodeToName(code: string) {
    if (store && store.state.dicInfo && store.state.dicInfo[this.connObjList]) {
      const D = store.state.dicInfo[this.connObjList].find((d: any) => {
        return String(d.id) === String(code)
      })
      return D ? D.type_name : '-'
    }
    return '-'
  },
  // 根据数据字典code获取name
  dictionaryCodeToName(code: string, type: string) {
    if (store && store.state.dicInfo && store.state.dicInfo[type]) {
      const D = store.state.dicInfo[type].find((d: any) => {
        return String(d.dicCode) === String(code)
      })
      return D ? D.dicName : '-'
    }
    return '-'
  }
}
