import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import importElementPlus from 'vite-plugin-element-plus'
import { resolve } from 'path'
import svgBuilder from './src/plugins/svgBuilder'

// 如果编辑器提示 path 模块找不到，则可以安装一下 @types/node -> npm i @types/node -D

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue(), importElementPlus({}), svgBuilder('./src/icons/svg/')],
  resolve: {
    alias: {
      '@': resolve(__dirname, 'src') // 设置 `@` 指向 `src` 目录
    }
  },
  base: './', // 设置打包路径
  server: {
    port: 4500, // 设置服务启动端口号
    open: true, // 设置服务启动时是否自动打开浏览器
    cors: true, // 允许跨域

    // 设置代理，根据我们项目实际情况配置
    proxy: {
      '/api': {
        // target: 'https://192.168.118.136:2021', // 136正式环境
        target: 'https://192.168.118.136',
        // target: 'http://192.168.118.137:18000', // base环境 137或139
        // target: 'http://192.168.3.161:18100', // 本地测试环境(需修改相应ip和端口) hjs: 55  lsc: 161
        // target: 'http://192.168.3.118:18000',
        changeOrigin: true,
        secure: false
      },
      '/base': {
        target: 'https://192.168.118.136',
        // target: 'http://192.168.3.107:18000', // yq: 118 song-bo: 92
        changeOrigin: true,
        secure: false
      }
    }
  }
})
